# Class InputSubset

java.lang.Object
java.lang.Character.Subset
java.awt.im.InputSubset

public final class InputSubset extends Character.Subset
Defines additional Unicode subsets for use by input methods. Unlike the UnicodeBlock subsets defined in the `Character.UnicodeBlock` class, these constants do not directly correspond to Unicode code blocks.

Since:
  1.2

## Field Summary

Fields
Modifier and Type
Field
Description
`static final InputSubset`
`FULLWIDTH_DIGITS`
Constant for the fullwidth digits included in the Unicode halfwidth and fullwidth forms character block.
`static final InputSubset`
`FULLWIDTH_LATIN`
Constant for the fullwidth ASCII variants subset of the Unicode halfwidth and fullwidth forms character block.
`static final InputSubset`
`HALFWIDTH_KATAKANA`
Constant for the halfwidth katakana subset of the Unicode halfwidth and fullwidth forms character block.
`static final InputSubset`
`HANJA`
Constant for all Han characters used in writing Korean, including a subset of the CJK unified ideographs as well as Korean Han characters that may be defined as surrogate characters.
`static final InputSubset`
`KANJI`
Constant for all Han characters used in writing Japanese, including a subset of the CJK unified ideographs as well as Japanese Han characters that may be defined as surrogate characters.
`static final InputSubset`
`LATIN`
Constant for all Latin characters, including the characters in the BASIC_LATIN, LATIN_1_SUPPLEMENT, LATIN_EXTENDED_A, LATIN_EXTENDED_B Unicode character blocks.
`static final InputSubset`
`LATIN_DIGITS`
Constant for the digits included in the BASIC_LATIN Unicode character block.
`static final InputSubset`
`SIMPLIFIED_HANZI`
Constant for all Han characters used in writing Simplified Chinese, including a subset of the CJK unified ideographs as well as Simplified Chinese Han characters that may be defined as surrogate characters.
`static final InputSubset`
`TRADITIONAL_HANZI`
Constant for all Han characters used in writing Traditional Chinese, including a subset of the CJK unified ideographs as well as Traditional Chinese Han characters that may be defined as surrogate characters.

## Method Summary

### Methods declared in class Character.Subset

`equals, hashCode, toString`
Modifier and Type
Method
Description
`final boolean`
`equals(Object obj)`
Compares two `Subset` objects for equality.
`final int`
`hashCode()`
Returns the standard hash code as defined by the `Object.hashCode()` method.
`final String`
`toString()`
Returns the name of this subset.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### LATIN

public static final InputSubset LATIN
Constant for all Latin characters, including the characters in the BASIC_LATIN, LATIN_1_SUPPLEMENT, LATIN_EXTENDED_A, LATIN_EXTENDED_B Unicode character blocks.

### LATIN_DIGITS

public static final InputSubset LATIN_DIGITS
Constant for the digits included in the BASIC_LATIN Unicode character block.

### TRADITIONAL_HANZI

public static final InputSubset TRADITIONAL_HANZI
Constant for all Han characters used in writing Traditional Chinese, including a subset of the CJK unified ideographs as well as Traditional Chinese Han characters that may be defined as surrogate characters.

### SIMPLIFIED_HANZI

public static final InputSubset SIMPLIFIED_HANZI
Constant for all Han characters used in writing Simplified Chinese, including a subset of the CJK unified ideographs as well as Simplified Chinese Han characters that may be defined as surrogate characters.

### KANJI

public static final InputSubset KANJI
Constant for all Han characters used in writing Japanese, including a subset of the CJK unified ideographs as well as Japanese Han characters that may be defined as surrogate characters.

### HANJA

public static final InputSubset HANJA
Constant for all Han characters used in writing Korean, including a subset of the CJK unified ideographs as well as Korean Han characters that may be defined as surrogate characters.

### HALFWIDTH_KATAKANA

public static final InputSubset HALFWIDTH_KATAKANA
Constant for the halfwidth katakana subset of the Unicode halfwidth and fullwidth forms character block.

### FULLWIDTH_LATIN

public static final InputSubset FULLWIDTH_LATIN
Constant for the fullwidth ASCII variants subset of the Unicode halfwidth and fullwidth forms character block.

Since:
  1.3

### FULLWIDTH_DIGITS

public static final InputSubset FULLWIDTH_DIGITS
Constant for the fullwidth digits included in the Unicode halfwidth and fullwidth forms character block.

Since:
  1.3